Debian Bug report logs - #619140
OpenJDK keeps FreeMind from using xalan (due to security?)

Package: freemind; Maintainer for freemind is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for freemind is src:freemind.

Reported by: Karl Voit <debian@Karl-Voit.at>

Date: Mon, 21 Mar 2011 15:21:11 UTC

Severity: important

Tags: moreinfo, upstream

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@Karl-Voit.at, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Mon, 21 Mar 2011 15:21:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Voit <debian@Karl-Voit.at>:
New Bug report received and forwarded. Copy sent to debian@Karl-Voit.at, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 21 Mar 2011 15:21:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karl Voit <debian@Karl-Voit.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freemind: fails to start: "Checking Java Version..." forever
Date: Mon, 21 Mar 2011 16:20:25 +0100
Package: freemind
Version: 0.9.0~rc7+dfsg-1
Severity: grave
Tags: upstream
Justification: renders package unusable


Debian Squeeze - most current updates done.

,----[ strace freemind ]
| [...]
| stat64("/lib/freemind.jar", 0xbf8916a0) = -1 ENOENT (No such file or
| directory)
| stat64("/usr/share/freemind/lib/freemind.jar", {st_mode=S_IFREG|0644,
| st_size=2342212, ...}) = 0
| stat64("/home/vk/.freemind/patterns.xml", {st_mode=S_IFREG|0644,
| st_size=2801, ...}) = 0
| clone(child_stack=0,
| flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
| child_tidptr=0xb75c2938) = 27971
| wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 1}], 0, NULL) = 27971
| --- SIGCHLD (Child exited) @ 0 (0) ---
| clone(child_stack=0,
| flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
| child_tidptr=0xb75c2938) = 27974
| wait4(-1, Checking Java Version...
`----

So freemind asks for converting old config file format and asks for
converting my last opened mindmap but then does not start at all.


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (996, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=de_AT.utf8, LC_CTYPE=de_AT.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freemind depends on:
ii  libcommons-lang-java        2.4-4        Extension of the java.lang package
ii  libjgoodies-forms-java      1.3.0-1      Framework to lay out and implement
ii  libjibx1.1-java             1.1.6a-1     Framework for binding XML data to 
ii  openjdk-6-jre               6b18-1.8.3-2 OpenJDK Java runtime, using Hotspo
ii  simplyhtml                  0.13.1-1     Java word processor based on HTML 

Versions of packages freemind recommends:
ii  freemind-doc         0.9.0~rc7+dfsg-1    Documentation for FreeMind
ii  java-wrappers        0.1.16              wrappers for java executables
ii  xdg-utils            1.0.2+cvs20100307-2 desktop integration utilities from

Versions of packages freemind suggests:
ii  freemind-browser        0.9.0~rc7+dfsg-1 Java Applet for publishing Mindmap
ii  freemind-plugins-help   0.9.0~rc7+dfsg-1 Java Plugin for FreeMind to show a
ii  freemind-plugins-script 0.9.0~rc7+dfsg-1 Java Plugin for FreeMind to add sc
ii  freemind-plugins-svg    0.9.0~rc7+dfsg-1 Java Plugin for FreeMind to export

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Mon, 21 Mar 2011 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Voit <debian@Karl-Voit.at>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 21 Mar 2011 16:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 619140@bugs.debian.org (full text, mbox):

From: Karl Voit <debian@Karl-Voit.at>
To: 619140@bugs.debian.org
Subject: Bug#619140: Problem relates to the convertion of old data
Date: Mon, 21 Mar 2011 17:11:13 +0100
[Message part 1 (text/plain, inline)]
When I "mv ~/.freemind ~/.freemind_old ; freemind" then freemind
starts without any problem.

So this bug relates to opening ~/.freemind/* from a previous Debian
unstable installation (status approx. 2009-10, sorry no version
information available any more).

I attached the logfile to this email.

-- 
Karl VOIT
[log.0.2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Mon, 21 Mar 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Voit <debian@Karl-Voit.at>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 21 Mar 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 619140@bugs.debian.org (full text, mbox):

From: Karl Voit <debian@Karl-Voit.at>
To: Hilko Bengen <bengen@debian.org>
Cc: 619140@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#619140: freemind: fails to start: "Checking Java Version..." forever
Date: Mon, 21 Mar 2011 17:19:27 +0100
[Message part 1 (text/plain, inline)]
Hilko Bengen (bengen@debian.org) wrote:

> > So freemind asks for converting old config file format and asks for
> > converting my last opened mindmap but then does not start at all.
> 
> Uh, this is bad. :-(
> 
> Is the bug reproducable using only the old config file and without the
> contents of the last opened mindmap?

While your email was written, I submitted further information too
:-)

Here is additional analysis:

I removed ~/.freemind completely and tried to open one of my former
mindmaps. So clean config, probably old mm-file-format.

Then I get:

,----
| vk@gary ~2d % freemind test.mm
| Checking Java Version...
| java.io.FileNotFoundException: /home/vk/.freemind/auto.properties (No such file or directory)
|         at java.io.FileInputStream.open(Native Method)
|         at java.io.FileInputStream.<init>(FileInputStream.java:137)
|         at freemind.main.FreeMindStarter.readUsersPreferences(FreeMindStarter.java:136)
|         at freemind.main.FreeMindStarter.main(FreeMindStarter.java:56)
| Panic! Error while loading default properties.
| [and freemind loads forever]
`----

Interesting fact: freemind asks for converting the document format *after* the
panic message was written to stdout.

I also attached my test mm file.

-- 
Karl VOIT
[test.mm (application/x-freemind, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Mon, 21 Mar 2011 16:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 21 Mar 2011 16:33:10 GMT) Full text and rfc822 format available.

Message #20 received at 619140@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Karl Voit <debian@Karl-Voit.at>
Cc: 619140@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#619140: freemind: fails to start: "Checking Java Version..." forever
Date: Mon, 21 Mar 2011 17:04:35 +0100
tag 619140 +moreinfo
thank you

> So freemind asks for converting old config file format and asks for
> converting my last opened mindmap but then does not start at all.

Uh, this is bad. :-(

Is the bug reproducable using only the old config file and without the
contents of the last opened mindmap?

Cheers,
-Hilko




Added tag(s) moreinfo. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Mon, 21 Mar 2011 16:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Tue, 22 Mar 2011 20:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <Eric@Lavar.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 22 Mar 2011 20:09:10 GMT) Full text and rfc822 format available.

Message #27 received at 619140@bugs.debian.org (full text, mbox):

From: Eric Lavarde <Eric@Lavar.de>
To: Karl Voit <debian@Karl-Voit.at>, 619140@bugs.debian.org
Subject: Re: Bug#619140: freemind: fails to start: "Checking Java Version..." forever
Date: Tue, 22 Mar 2011 20:57:50 +0100
[Message part 1 (text/plain, inline)]
Hi,

On 21/03/11 17:19, Karl Voit wrote:
> Hilko Bengen (bengen@debian.org) wrote:
>
>>> So freemind asks for converting old config file format and asks for
>>> converting my last opened mindmap but then does not start at all.
>>
>> Uh, this is bad. :-(
It is even worse, FreeMind 0.9.0 (final version) doesn't work better.

> I removed ~/.freemind completely and tried to open one of my former
> mindmaps. So clean config, probably old mm-file-format.
Yes, 0.8.1 format, that's the problem, and that sounds definitely like 
an upstream bug.

> Interesting fact: freemind asks for converting the document format *after* the
> panic message was written to stdout.
Ignore the panic message, it's not the problem, I also get it if I call 
FreeMind without any file.

>
> I also attached my test mm file.
Thanks, very helpful.

If I call FreeMind without any file, and then open the file from the 
GUI, I get a more explicit error (see attached file).

OK, 2 things:
1. I will try to ping upstream.
2. I guess the problem is caused originally by
java.lang.RuntimeException: Use of the extension function 
'xalan://freemind.main.HtmlTools:replaceSpacesToNonbreakableSpaces' is 
not allowed when the secure processing feature is set to true.
Does someone know what it actually means? What is 'secure processing 
feature'? Is it something of the program, or something of the 
(Java/Xalan) environment?

Cheers, Eric
[log.0.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Sat, 07 May 2011 11:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Denker <Stefan@dn-kr.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 07 May 2011 11:51:15 GMT) Full text and rfc822 format available.

Message #32 received at 619140@bugs.debian.org (full text, mbox):

From: Stefan Denker <Stefan@dn-kr.de>
To: Karl Voit <debian@Karl-Voit.at>, 619140@bugs.debian.org
Subject: Re: Bug#619140: freemind: fails to start: "Checking Java Version..." forever
Date: Sat, 7 May 2011 13:24:01 +0200
I am trying to reproduce this Bug... 

Just one quick question: You're using OpenJDK, right? And if you do,
does switching to the Sun-JDK "fix" it for you? 

This worked for me, I've installed the JDK from Sun and modified
/usr/bin/freemind: 

--- /usr/bin/freemind	2011-05-07 13:21:55.000000000 +0200
+++ /tmp/freemind-old	2011-05-07 13:21:30.000000000 +0200
@@ -144,7 +144,7 @@
 if [ -r /usr/lib/java-wrappers/java-wrappers.sh ]
 then # the Debian method
 	. /usr/lib/java-wrappers/java-wrappers.sh
-	require_java_runtime openjdk sun 
+	require_java_runtime sun 
 else
 	findjava
 	if [ $? -ne 0 ]


This may just be a Bug in OpenJDK we're dealing with. 

Stefan

-- 
Nichts kann rueckgaengig gemacht werden, was einmal gedacht wurde.
                                             Friedrich Duerrenmatt, Die Physiker




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Sun, 08 May 2011 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Voit <debian@Karl-Voit.at>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 08 May 2011 17:54:03 GMT) Full text and rfc822 format available.

Message #37 received at 619140@bugs.debian.org (full text, mbox):

From: Karl Voit <debian@Karl-Voit.at>
To: Stefan Denker <Stefan@dn-kr.de>
Cc: 619140@bugs.debian.org
Subject: Re: Bug#619140: freemind: fails to start: "Checking Java Version..." forever
Date: Sun, 8 May 2011 19:41:40 +0200
Current situation (reviewed):

I removed ~/.freemind and started freemind (without any argument) and get:

,----
| vk@gary ~2d % freemind
| Checking Java Version...
| java.io.FileNotFoundException: /home/vk/.freemind/auto.properties (No such file or directory)
|         at java.io.FileInputStream.open(Native Method)
|         at java.io.FileInputStream.<init>(FileInputStream.java:137)
|         at freemind.main.FreeMindStarter.readUsersPreferences(FreeMindStarter.java:136)
|         at freemind.main.FreeMindStarter.main(FreeMindStarter.java:56)
| Panic! Error while loading default properties.
`----

Freemind starts and I have no problem(!) to open mindmap files at all.

Then I quit and try it once again. This time, the java.io.FileNotFoundException
from above does not show up and the usual behavior (freemind shows spashscreen
forever doing nothing) happenes again.

Using:
openjdk-6-jdk
openjdk-6-jre
openjdk-6-jre-headless
openjdk-6-jre-lib
freemind            
freemind-browser    
freemind-doc        
freemind-plugins-help
freemind-plugins-script
freemind-plugins-svg

Stefan Denker (Stefan@dn-kr.de) wrote:

> I am trying to reproduce this Bug... 
>
> Just one quick question: You're using OpenJDK, right? And if you do,
> does switching to the Sun-JDK "fix" it for you? 

,----[ removing old openjdk ]
| root@gary ~ # apt-get remove openjdk-6-jdk openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib
| Reading package lists... Done
| Building dependency tree
| Reading state information... Done
| The following packages were automatically installed and are no longer required:
|   jarwrapper libjericho-html-java fastjar binfmt-support
| Use 'apt-get autoremove' to remove them.
| The following packages will be REMOVED:
|   default-jre default-jre-headless ditaa icedtea-6-jre-cacao openjdk-6-jdk openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib
| 0 upgraded, 0 newly installed, 8 to remove and 0 not upgraded.
| After this operation, 125 MB disk space will be freed.
| Do you want to continue [Y/n]?
| [...]
`----

,----[ installing sun-java6-jdk (and loosing ditaa) ]
| root@gary ~ # agi sun-java6-jdk sun-java6-jre
| sun-java6-jre is already the newest version.
| The following packages were automatically installed and are no longer required:
|   jarwrapper libjericho-html-java fastjar binfmt-support
| Use 'apt-get autoremove' to remove them.
| Suggested packages:
|   sun-java6-demo openjdk-6-doc sun-java6-source
| The following NEW packages will be installed:
|   sun-java6-jdk
| 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
| Need to get 20.2 MB of archives.
| After this operation, 62.8 MB of additional disk space will be used.
| Do you want to continue [Y/n]?
`----

> This worked for me, I've installed the JDK from Sun and modified
> /usr/bin/freemind: 
> 
> --- /usr/bin/freemind	2011-05-07 13:21:55.000000000 +0200
> +++ /tmp/freemind-old	2011-05-07 13:21:30.000000000 +0200
> @@ -144,7 +144,7 @@
>  if [ -r /usr/lib/java-wrappers/java-wrappers.sh ]
>  then # the Debian method
>  	. /usr/lib/java-wrappers/java-wrappers.sh
> -	require_java_runtime openjdk sun 
> +	require_java_runtime sun 
>  else
>  	findjava
>  	if [ $? -ne 0 ]

I applied this "patch" to my /usr/bin/freemind as well.

,----[ re-test scenario ]
| vk@gary ~ % rm -rf ~/.freemind
| vk@gary ~ % freemind
| Checking Java Version...
| java.io.FileNotFoundException: /home/vk/.freemind/auto.properties (No such file or directory)
|         at java.io.FileInputStream.open(Native Method)
|         at java.io.FileInputStream.<init>(FileInputStream.java:106)
|         at freemind.main.FreeMindStarter.readUsersPreferences(FreeMindStarter.java:136)
|         at freemind.main.FreeMindStarter.main(FreeMindStarter.java:56)
| Panic! Error while loading default properties.
| freemind  8.62s user 0.61s system 39% cpu 23.320 total
| vk@gary ~ % freemind
| Checking Java Version...
| freemind  8.58s user 0.48s system 32% cpu 28.218 total
| vk@gary ~ % freemind
| Checking Java Version...
| freemind  6.57s user 0.44s system 82% cpu 8.528 total
| vk@gary ~ %
`----

Once again: only the first start (without ~/.freemind) gives the
java.io.FileNotFoundException - well I guess that is on purpose :-)

But this time: each following start of freemind works(!) and I can open (old)
mindmaps without problems. 

> This may just be a Bug in OpenJDK we're dealing with. 

Seems so. At least with SUN JDK it works.

-- 
Karl VOIT




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Sun, 15 May 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <freemind@zorglub.s.bawue.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 15 May 2011 09:49:02 GMT) Full text and rfc822 format available.

Message #42 received at 619140@bugs.debian.org (full text, mbox):

From: Eric Lavarde <freemind@zorglub.s.bawue.de>
To: 619140@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#619140: freemind has an issue with OpenJDK in regard to Xalan
Date: Sun, 15 May 2011 11:38:34 +0200
retitle 619410 OpenJDK keeps FreeMind from using xalan (due to security?)
reassign 619410 openjdk-6-jre 6b18-1.8.7-2~squeeze1
thanks

Hello,

sorry it took a bit of time to go back to this, but now I confirm: the 
bug appears only with OpenJDK, not with Sun's Java, so I redirect the 
bug report to openjdk-6-jre; at best they'll fix the bug, at least 
they'll hopefully provide a work-around, or at very least an explanation 
that might lead to a work-around.

Detailed step to repeat:
1. download test.mm from the bug report
2. install freemind, openjdk-6-jre and
3. start from the command line:
$ JAVA_HOME=/usr/lib/jvm/java-6-openjdk DEBUG=1 freemind
4. File -> Open -> test.mm
==> bug appears, detailed errors on the console
5. start from the command line:
$ JAVA_HOME=/usr/lib/jvm/java-6-sun DEBUG=1 freemind
6. File -> Open -> test.mm
==> no problem, the file is opened and converted!

Note: you might want to delete ~/.freemind/auto.properties between 2 
tests to avoid that FreeMind automatically opens the last map, which 
would be test.mm.

Thanks to everybody who helped pin down the problem,
Eric

PS: if you want to force FreeMind to use a specific JVM, have a look at 
freemind(1), no need to edit the script :-P




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#619140; Package freemind. (Sun, 15 May 2011 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <freemind@zorglub.s.bawue.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 15 May 2011 10:21:08 GMT) Full text and rfc822 format available.

Message #47 received at 619140@bugs.debian.org (full text, mbox):

From: Eric Lavarde <freemind@zorglub.s.bawue.de>
To: control@bugs.debian.org, 619410-done@bugs.debian.org, 619140@bugs.debian.org
Subject: Re: Processed: Re: Bug#619140: freemind has an issue with OpenJDK in regard to Xalan
Date: Sun, 15 May 2011 12:16:03 +0200
# roll-back the mess I did, my deepest apologies!
reassign 619410 roundcube 0.5.1+dfsg-7
retitle 619410 small improvement of /etc/logrotate.d/roundcube-core
fixed 619410 0.5.2+dfsg-1
# re-assign the correct bug:
retitle 619140 OpenJDK keeps FreeMind from using xalan (due to security?)
reassign 619140 openjdk-6-jre 6b18-1.8.7-2~squeeze1
thanks

I deeply apologize for the mess done! I hope this fixes it!

Eric

On 15/05/11 11:50, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
>
>> retitle 619410 OpenJDK keeps FreeMind from using xalan (due to security?)
> Bug #619410 {Done: Vincent Bernat<bernat@debian.org>} [roundcube] small improvement of /etc/logrotate.d/roundcube-core
> Changed Bug title to 'OpenJDK keeps FreeMind from using xalan (due to security?)' from 'small improvement of /etc/logrotate.d/roundcube-core'
>> reassign 619410 openjdk-6-jre 6b18-1.8.7-2~squeeze1
> Bug #619410 {Done: Vincent Bernat<bernat@debian.org>} [roundcube] OpenJDK keeps FreeMind from using xalan (due to security?)
> Bug reassigned from package 'roundcube' to 'openjdk-6-jre'.
> Bug No longer marked as found in versions roundcube/0.5.1+dfsg-7.
> Bug No longer marked as fixed in versions roundcube/0.5.2+dfsg-1.
> Bug #619410 {Done: Vincent Bernat<bernat@debian.org>} [openjdk-6-jre] OpenJDK keeps FreeMind from using xalan (due to security?)
> Bug Marked as found in versions openjdk-6/6b18-1.8.7-2~squeeze1.
>> thanks
> Stopping processing here.
>
> Please contact me if you need assistance.





Changed Bug title to 'OpenJDK keeps FreeMind from using xalan (due to security?)' from 'freemind: fails to start: "Checking Java Version..." forever' Request was from Eric Lavarde <freemind@zorglub.s.bawue.de> to control@bugs.debian.org. (Sun, 15 May 2011 10:21:28 GMT) Full text and rfc822 format available.

Bug reassigned from package 'freemind' to 'openjdk-6-jre'. Request was from Eric Lavarde <freemind@zorglub.s.bawue.de> to control@bugs.debian.org. (Sun, 15 May 2011 10:21:28 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freemind/0.9.0~rc7+dfsg-1. Request was from Eric Lavarde <freemind@zorglub.s.bawue.de> to control@bugs.debian.org. (Sun, 15 May 2011 10:21:29 GMT) Full text and rfc822 format available.

Bug Marked as found in versions openjdk-6/6b18-1.8.7-2~squeeze1. Request was from Eric Lavarde <freemind@zorglub.s.bawue.de> to control@bugs.debian.org. (Sun, 15 May 2011 10:21:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#619140; Package openjdk-6-jre. (Sun, 15 May 2011 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Denker <Stefan@dn-kr.de>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 15 May 2011 17:21:07 GMT) Full text and rfc822 format available.

Message #60 received at 619140@bugs.debian.org (full text, mbox):

From: Stefan Denker <Stefan@dn-kr.de>
To: 619140@bugs.debian.org
Subject: Re: Bug#619140: freemind has an issue with OpenJDK
Date: Sun, 15 May 2011 19:18:40 +0200
[Message part 1 (text/plain, inline)]
There may be another bug/issue with openjdk related to freemind. If you
start freemind with the given Mindmap as a parameter. 

I attached two stackstraces:

log1 is done while the "Should the mindmap be converted"? dialog is showing. 
log2 is done after I clicked on "ok" and waited for some time... 

Notice that the main thread does not update, it is still
waiting for a signal from the modal dialog window... 

IMHO there's a lost signal somewhere...

Stefan
[log1 (text/plain, attachment)]
[log2 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'grave' Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 28 May 2011 14:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#619140; Package openjdk-6-jre. (Sat, 14 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sat, 14 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #67 received at 619140@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 619140@bugs.debian.org
Subject: reassigning back to Freemind, please recheck with openjdk7
Date: Sat, 14 Apr 2012 15:26:10 +0200
reassign 619140 freemind
thanks

please recheck with both openjdk7 and the proprietary java7 version, and then 
reassign back if appropriate.




Bug reassigned from package 'openjdk-6-jre' to 'freemind'. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 14 Apr 2012 13:27:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions openjdk-6/6b18-1.8.7-2~squeeze1. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 14 Apr 2012 13:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:47:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.